Author Topic: eXtplorer not working  (Read 880 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
eXtplorer not working
« on: February 19, 2018, 02:15:14 PM »
I get 500 internal server error when I try to access: http://mysite.com/filemanager/

I see the shortcut and the eXtplorer folders have been added to the home directory.

How to fix?

Offline
****
Re: eXtplorer not working
« Reply #1 on: February 19, 2018, 02:23:34 PM »

Offline
*
Re: eXtplorer not working
« Reply #2 on: February 19, 2018, 03:31:05 PM »
try http://wiki.centos-webpanel.com/500-internal-server-error
Thanks for the info. I had already tried the "fix permissions" suggestion but I didn't know where the logs were.

This is the error message:
Code: [Select]
[Mon Feb 19 10:23:41.040910 2018] [:error] [pid 4128:tid 140408109655808] [client 192.168.1.11:61425] PHP Parse error:  syntax error, unexpected '[' in /home/test/filemanagers/extplorer/libraries/standalone.php on line 232

Below is line 232:
Code: [Select]
$this->_userstate[$var_name] = $iFilter->sanitize( array($this->_userstate[$var_name]) )[0];

Offline
****
Re: eXtplorer not working
« Reply #3 on: February 19, 2018, 04:29:43 PM »
perhaps you can check that line 232 in home/test/filemanagers/extplorer/libraries/standalone.php

Seems the script is somewhat handicapped and not properly executing. Probably related to https://secure.php.net/manual/en/filter.filters.sanitize.php in the ini file or the web server's configuration

Offline
*
Re: eXtplorer not working
« Reply #4 on: February 20, 2018, 08:54:32 PM »
Thanks!

Dealing with this issue helped me find another issue. First, I learned that I am missing some opencube loaders for some versions of PHP. For whatever reason, they were not downloaded when I compiled and installed multiple PHP versions from within CWP. Secondly, I learned that eXtplorer is not compatible with all versions of PHP. I downloaded opencube loaders and added a .htaccess file to the eXtplorer directory so PHP 5.6 is used for eXtplorer :)